Create bulk update
curl --request POST \
--url https://api.yume.cloud/v1/crm/requests/inventories/bulk_update/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inventories": [
{
"tarif": 123,
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"id": 123,
"type": 0,
"set": 123,
"set_group": "<string>",
"inventory_group": 123,
"inventory": 123,
"tarif_price": "<string>",
"tarif_duration": "<string>",
"extra": "<unknown>",
"warehouse": 123,
"counterparty": 123,
"discount": 123
}
],
"request": 123,
"force": false
}
'import requests
url = "https://api.yume.cloud/v1/crm/requests/inventories/bulk_update/"
payload = {
"inventories": [
{
"tarif": 123,
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"id": 123,
"type": 0,
"set": 123,
"set_group": "<string>",
"inventory_group": 123,
"inventory": 123,
"tarif_price": "<string>",
"tarif_duration": "<string>",
"extra": "<unknown>",
"warehouse": 123,
"counterparty": 123,
"discount": 123
}
],
"request": 123,
"force": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inventories: [
{
tarif: 123,
start_at: '2023-11-07T05:31:56Z',
end_at: '2023-11-07T05:31:56Z',
id: 123,
type: 0,
set: 123,
set_group: '<string>',
inventory_group: 123,
inventory: 123,
tarif_price: '<string>',
tarif_duration: '<string>',
extra: '<unknown>',
warehouse: 123,
counterparty: 123,
discount: 123
}
],
request: 123,
force: false
})
};
fetch('https://api.yume.cloud/v1/crm/requests/inventories/bulk_update/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inventories": [
{}
]
}inventories
Create bulk update
POST
/
v1
/
crm
/
requests
/
inventories
/
bulk_update
/
Create bulk update
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Тело
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Ответ
201 - application/json